PMemoryHeap::Header Struct Reference

`#include <object.h>`

## Public Types

enum | { NumGuardBytes }

## Public Attributes

Header * | prev
Header * | next
const char * | className
const char * | fileName
size_t | size
DWORD | request
WORD | line
BYTE | flags
char | guard [NumGuardBytes]

## Static Public Attributes

static char | GuardBytes [NumGuardBytes]

## Member Enumeration Documentation

anonymous enum

Enumerator
NumGuardBytes |

## Member Data Documentation

const char* PMemoryHeap::Header::className

const char* PMemoryHeap::Header::fileName

BYTE PMemoryHeap::Header::flags

char PMemoryHeap::Header::guard[NumGuardBytes]

char PMemoryHeap::Header::GuardBytes[NumGuardBytes]

static

WORD PMemoryHeap::Header::line

Header* PMemoryHeap::Header::next

Header* PMemoryHeap::Header::prev

DWORD PMemoryHeap::Header::request

size_t PMemoryHeap::Header::size

The documentation for this struct was generated from the following file:

- object.h